LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
SortedDynamicResultSetFactory Service Referencepublished

is a factory for DynamicResultSet implementations, which will be sorted according to the given sorting options. More...

`import"SortedDynamicResultSetFactory.idl";`

Inheritance diagram for SortedDynamicResultSetFactory:

## Additional Inherited Members
Public Member Functions inherited from XSortedDynamicResultSetFactory
com::sun::star::ucb::XDynamicResultSet | createSortedDynamicResultSet ([in] com::sun::star::ucb::XDynamicResultSet Source, [in] sequence< com::sun::star::ucb::NumberedSortingInfo > Info, [in] com::sun::star::ucb::XAnyCompareFactory CompareFactory)
| creates a sorted XDynamicResultSet depending on internal data, an (unsorted) XDynamicResultSet and the sorting info. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a factory for DynamicResultSet implementations, which will be sorted according to the given sorting options.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/SortedDynamicResultSetFactory.idl